Bug 1309249

Summary: python-simpletal: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Petr Viktorin <pviktori>
Component: python-simpletalAssignee: Thomas Moschny <thomas.moschny>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: dkrejci, thomas.moschny
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-11 05:41:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1366635    
Bug Blocks: 1285816    

Description Petr Viktorin 2016-02-17 10:29:23 UTC
Upstream (version 5.2 [0]), this software supports Python 3. Please provide a Python 3 package for Fedora.

According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] http://www.owlfish.com/software/simpleTAL/
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 15:23:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Dominika Krejčí 2016-04-20 12:38:49 UTC
Hello Thomas,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 3 Thomas Moschny 2016-04-27 18:42:06 UTC
Hi,

as far as I can see, upstream provides separate tarballs for the python2 and python3 versions.

So I guess the way to go is to create a new python3-simpletal package, and (optionally) rename the existing package to python2-simpletal.

Comment 4 Thomas Moschny 2016-08-12 13:34:43 UTC
Review request for the python3 package is here: bug 1366635.

Comment 5 Thomas Moschny 2016-09-11 05:41:39 UTC
From 4.3-11 on the existing package provides a python2- subpackage.